# Initiate a file upload process **POST /fileUpload** ## Servers - https://rest.api.24sevenoffice.com/v1: https://rest.api.24sevenoffice.com/v1 () ## Authentication methods - Tfso ## Parameters ### Headers - **Authorization** (string) Authorization header ### Body: application/json (object) - **contentType** (string) content type (MIME type) of the file being uploaded ## Responses ### 200 Attachment upload initiated successfully #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) #### Body: application/json (object) - **uploadMethod** (string) HTTP method to use for uploading the file - **uploadUrl** (string(uri)) Presigned URL to which the file should be uploaded, using {uploadMethod} as HTTP method - **fileId** (string) Identifier for the file to be uploaded in the system ### 400 The input provided was invalid #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) ### 401 Unauthorized - Bearer token missing or invalid #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) ### 403 Forbidden - User does not have access to post transactions #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) [Powered by Bump.sh](https://bump.sh)